package org.apache.struts.config;

import org.apache.commons.digester.Rule;
import org.xml.sax.Attributes;

final class AddDataSourcePropertyRule extends Rule {
  public void begin(Attributes attributes) throws Exception {
    DataSourceConfig dsc = (DataSourceConfig)this.digester.peek();
    dsc.addProperty(attributes.getValue("property"), attributes.getValue("value"));
  }
}
